%define desktop_file_utils_version 0.2.90
%define desktop_vendor fedora

# Use --without modular_x to rebuild without modular X deps
%define _modular_x 0%{!?_without_modular_x:1}

Summary: 3D racing game featuring Tux
Name: ppracer
Version: 0.3.1
Release: 10%{?dist}
License: GPL
Group: Amusements/Games
URL: http://racer.planetpenguin.de
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://download.berlios.de/ppracer/ppracer-%{version}%{?srcextraversion}.tar.bz2
Source1: ppracer.png
Source2: ppracer.desktop

# temporary workaround for libGLU deficiencies
Source3: tree.png

Patch0: PPRacer-0.1.9-ia64.patch
Patch1: ppracer-0.3.1-lib64.patch
Patch2: ppracer-0.3.1-c++.patch

%if %_modular_x
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXt-devel
%else
BuildRequires: xorg-x11-devel
%endif
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: SDL-devel >= 1.2
BuildRequires: SDL_mixer-devel >= 1.2
BuildRequires: tcl-devel >= 8.4.9
BuildRequires: autoconf
BuildRequires: freetype-devel
BuildRequires: libpng-devel
BuildRequires: zlib-devel

BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}

Obsoletes: tuxracer <= 0.61

%description
PPRacer is a simple OpenGL-based racing game featuring Tux. The
objective of the game is to slide down a snow- and ice-covered mountain
as quickly as possible, avoiding the trees and rocks that will slow
you down.

%prep
%setup -q
%patch0 -p1 -b .ia64
%patch1 -p1 -b .lib64
%patch2 -p1 -b .c++

# temporary workaround for libGLU deficiencies
if [ ! -f data/courses/themes/models/common/tree.png.brokenlibGLU ]; then
    mv data/courses/themes/models/common/tree.png data/courses/themes/models/common/tree.png.brokenlibGLU
    cp %{SOURCE3} data/courses/themes/models/common/tree.png
fi

%build
autoconf
%configure --with-data-dir=%{_datadir}/ppracer
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall ppdatadir=%{buildroot}%{_datadir}/ppracer

mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/

mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor %{desktop_vendor} --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE2}

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root, 755)
%doc AUTHORS COPYING ChangeLog contrib
%{_bindir}/ppracer
%{_datadir}/ppracer
%{_datadir}/pixmaps/ppracer.png
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

%changelog
* Wed Feb 14 2007 Nils Philippsen <nphilipp@redhat.com> 0.3.1-10
- rebuild

* Fri Feb 02 2007 Nils Philippsen <nphilipp@redhat.com> 0.3.1-9
- rebuild

* Thu Nov 23 2006 Nils Philippsen <nphilipp@redhat.com> 0.3.1-8
- install 256px x 256px tree.png as a temporary workaround for libGLU
  deficiencies (#199011, image supplied by Hans de Goede)
- add dist tag

* Mon Aug 28 2006 Nils Philippsen <nphilipp@redhat.com> 0.3.1-7
- FC6 mass rebuild

* Fri Feb 17 2006 Nils Philippsen <nphilipp@redhat.com>
- rebuild

* Mon Jan 16 2006 Nils Philippsen <nphilipp@redhat.com>
- fix build requirements, C++ member declaration (#177901)

* Wed Mar 16 2005 Nils Philippsen <nphilipp@redhat.com>
- look in .../lib64 as well for tclConfig.sh

* Tue Mar 15 2005 Nils Philippsen <nphilipp@redhat.com>
- buildrequire correct tcl-devel version that includes tclConfig.sh

* Tue Mar 08 2005 Nils Philippsen <nphilipp@redhat.com>
- don't use integer for boolean value in desktop file
- remove optflags patch as it isn't necessary anymore
- reorder sources and patches

* Mon Mar 07 2005 Nils Philippsen <nphilipp@redhat.com>
- don't package zero size README file
- obsolete tuxracer <= 0.61

* Fri Mar 04 2005 Nils Philippsen <nphilipp@redhat.com>
- version 0.3.1
- use desktop_file_install to install desktop file
- actually package icon file
- clean up summary
- don't buildrequire grep
- move up %%doc files in %%files
- use an a bit more individual build root
- obsolete tuxracer
- buildrequire libpng-devel

* Thu Feb 03 2005 Nils Philippsen <nphilipp@redhat.com>
- version 0.3

* Wed Jan 19 2005 Nils Philippsen <nphilipp@redhat.com>
- version 0.2.3

* Thu Dec 30 2004 Nils Philippsen <nphilipp@redhat.com>
- version 0.2.2

* Wed Dec 08 2004 Nils Philippsen <nphilipp@redhat.com>
- version 0.2.1

* Tue Nov 16 2004 Nils Philippsen <nphilipp@redhat.com>
- version 0.2

* Sun Oct 31 2004 Nils Philippsen <nphilipp@redhat.com>
- version 0.1.9
- initial build based on tuxracer spec file
